Skip to content

Update a supplier event ​

PUT
/v1/admin/eventmanager/events/{external_event_id}

Put a single eventmanager event based on ID

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

external_event_id*
Type
string
Required
Default
null

Query Parameters

unlock
Default
null

Request Body​

application/json
JSON
{
  
"external_home_team_id": null,
  
"external_visiting_team_id": null,
  
"home_team_hashkey": null,
  
"visiting_team_hashkey": null,
  
"external_event_id": null,
  
"event_startdate": "string",
  
"event_stopdate": "string",
  
"date_confirmed": null,
  
"event_status": null,
  
"event_name": "string",
  
"event_hashkey": null,
  
"external_venue_id": null,
  
"external_tournament_id": null,
  
"status": null,
  
"sport_type": null,
  
"tournament_type": null,
  
"season": "string",
  
"venue_hashkey": null,
  
"tournament_hashkey": "string",
  
"currency_code": null,
  
"supplier_category_name": null,
  
"supplier_hashkey": null,
  
"updated_by_clientid": null
}

Responses​

OK

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​